This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 476530

Summary: Review Request: projxp - Agile project management server
Product: [Fedora] Fedora Reporter: Darryl L. Pierce <dpierce>
Component: Package ReviewAssignee: Rafael Aquini <aquini>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: aquini, fedora-package-review, notting, tross
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-09 06:33:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 472819, 497640    
Bug Blocks: 201449    

Description Darryl L. Pierce 2008-12-15 08:29:01 EST
Spec URL: http://mcpierce.fedorapeople.org/rpms/projxp.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/projxp-0.0.1-1.fc10.src.rpm
Description: ProjXP is an agile project management system. It enables a development team to maintain a backlog of features, plan and track sprints, and enable project and product owners to view status reports easily.
Comment 1 Darryl L. Pierce 2008-12-19 16:43:50 EST
Updated release is available:

Spec URL: http://mcpierce.fedorapeople.org/rpms/projxp.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/projxp-0.1.0-1.fc10.src.rpm
Comment 2 Darryl L. Pierce 2008-12-27 09:43:17 EST
Updated release is available:

Spec URL: http://mcpierce.fedorapeople.org/rpms/projxp.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/projxp-0.1.1-1.fc10.src.rpm
Comment 3 Darryl L. Pierce 2009-04-29 10:07:02 EDT
Updated release is available:

Spec URL: http://mcpierce.fedorapeople.org/rpms/projxp.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/projxp-0.2.0-1.fc10.src.rpm
Comment 4 Darryl L. Pierce 2009-11-05 08:42:33 EST
Updated release is available:

Spec URL: http://mcpierce.fedorapeople.org/rpms/projxp.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/projxp-0.3.0-1.fc11.src.rpm
Comment 5 Rafael Aquini 2010-08-19 21:13:29 EDT
PING

Since it's been more than a year with no progress; I guess this bug should
be closed soon if there is no response, shouldn't it?
Comment 6 Rafael Aquini 2010-08-19 21:14:35 EDT
**almost a year**

My bad, sorry.
Comment 7 Darryl L. Pierce 2010-08-20 07:10:17 EDT
(In reply to comment #5)
> PING
> 
> Since it's been more than a year with no progress; I guess this bug should
> be closed soon if there is no response, shouldn't it?

No. It's a package review request. Why would you close it?
Comment 8 Rafael Aquini 2010-08-20 08:00:55 EDT
Darryl,

This is a janitorial work on Fedora Package Review queues, 
-- http://fedoraproject.org/PackageReviewStatus/ -- in order to identify and close stalled reviews. 

I'm just following this policy:
http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Please, consider trying a swap review request to get this work reviewed
http://fedoraproject.org/wiki/Package_Review_Process#Contributor

Regards
Comment 9 Mamoru TASAKA 2010-08-20 08:28:44 EDT
(In reply to comment #8)
> I'm just following this policy:
> http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

This says that if the submitter has not replied to the comment
by the other person for more than one months + one week, the bug
will be closed.

For this bug no person other than the submitter (Darryl) has not
posted any comments (unless you wrote some comments today), so 
the reporter is "not" not responding to the comments by "other
person" and "stalled package reviews" policy cannot be applied here. 

Rafael, if you want you can review this ticket.
Comment 10 Rafael Aquini 2010-08-20 08:42:55 EDT
Ok, 

so I'm assigning this review to myself, and soon I'll be posting a formal
review to this package.

Regards
Comment 11 Rafael Aquini 2010-08-20 14:31:21 EDT
Darryl,

Please, consider the following review:


Good:
* Package is named projxp which follows the upstream project name
* Spec file naming follows package naming
* License in sources and spec is GPLv3 which is open source
* License text included in the tarball and listed on %file.
* Spec is legible and American English
* No locale files
* No shared libraries
* No bundled libraries
* Not relocatable
* Default permissions are set
* Macros used consistently 
* Package is code
* No large documentation
* No header files
* No static libraries
* Not a GUI application
* Does not own files or directories from other packages
* All filenames are utf8
* Builds in mock (see needswork [3], though)

NEEDSWORK:
[1] rpmlint complaints:
    $ rpmlint SPECS/projxp.spec SRPMS/projxp-0.3.0-1.fc13.src.rpm RPMS/noarch/projxp-0.3.0-1.fc13.noarch.rpm 
SPECS/projxp.spec:87: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 87)
    projxp.src:87: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 87)
    projxp.noarch: W: non-standard-uid /var/log/projxp projxp
    projxp.noarch: W: non-standard-gid /var/log/projxp projxp
    projxp.noarch: W: non-standard-uid /var/log/projxp/mongrel.log projxp
    projxp.noarch: W: non-standard-gid /var/log/projxp/mongrel.log projxp
    projxp.noarch: W: non-standard-uid /var/log/projxp/rails.log projxp
    projxp.noarch: W: non-standard-gid /var/log/projxp/rails.log projxp
    projxp.noarch: W: non-standard-uid /var/run/projxp projxp
    projxp.noarch: W: non-standard-gid /var/run/projxp projxp
    2 packages and 1 specfiles checked; 0 errors, 10 warnings.


[2] Source within SRPM **does not** match upstream:
    * http://mcpierce.fedorapeople.org/projxp-0.3.0.tgz
    $ md5sum SOURCES/projxp-0.3.0/projxp-0.3.0.tgz ../Downloads/projxp-0.3.0.tgz 
    bdceb1aeb1df37a06138f93b4e0958f9  SOURCES/projxp-0.3.0/projxp-0.3.0.tgz
    1fddf9be4dcd35e1e2a6478935db43df  ../Downloads/projxp-0.3.0.tgz


[3] Package builds with duplicate file warnings:
    Processing files: projxp-0.3.0-1.fc13.noarch
    warning: File listed twice: /usr/share/projxp/doc/AUTHORS
    warning: File listed twice: /usr/share/projxp/doc/Backlog
    warning: File listed twice: /usr/share/projxp/doc/COPYING
    warning: File listed twice: /usr/share/projxp/doc/Contributing
    warning: File listed twice: /usr/share/projxp/doc/INSTALL
    warning: File listed twice: /usr/share/projxp/doc/LICENSE


[4] Directory /var/projxp, which is HOMEDIR for projxp user, is not created neighter it is owned by the package. See  https://fedoraproject.org/wiki/Packaging:UsersAndGroups for further reference. Also, /var is supposed to contain variable data files and logs.


[5] Your package should contain man pages for the scripts / configs / usage.



Regards
Comment 12 Darryl L. Pierce 2010-09-09 06:33:29 EDT
I'm going to close this package request. The development team has gone back to the drawing board and the project's going to have a major overhaul.